      module mod_dolo
c     integer,parameter :: len_lolist=5000
c     integer,parameter :: dim_lolist=5000
c     integer,parameter :: len_datlist=50000
c     integer,parameter :: dim_datlist=5000
c     integer,parameter :: len_file_name=1500
      integer,parameter :: maxsymd=8
c     character(len_file_name) workdir,scforb,dat0(dim_datlist),currdir
c    *,dat1(dim_datlist)
c     character(len_lolist),allocatable :: glabel(:)
c     character(10),allocatable :: orig(:),ftype(:)
c     character(10) :: origtmp=' ',ftypetmp=' '
c     character(len_datlist) datlist(dim_datlist)
c     character(len_datlist) datlist0(dim_datlist)
c     character(1) reponse
c     character(80) :: form_dolo
c     character(80) :: form_dolo1
c     character(80) :: form_dolo0
c     character(80) :: form_dolo10
c     integer :: norb,ncor=0,idatlist=0,ideb_datlist=0,ifin_datlist=0
c     integer :: ncor=0,idatlist=0,ideb_datlist=0,ifin_datlist=0
c    *,nbdat0=0,jdatlist,idatlist0=0,nbbasref=0
c     integer fermi0(maxsymd),iunit5,ifilpr
c     logical(1),allocatable :: yvirt(:)
c     double precision,dimension(:,:),allocatable :: gamma
c     logical :: yes,dataok,occupok,wdataok=.true.,nointerac=.false.
c     logical :: loc_actives=.true.,ygcas
      integer :: gap=2 !: factor. The tables for the norb orbitals are
!                         allocated to norb*gap, because more than norb
!                         orbitals can be stored during the calculation
c     character(20) in_progress
      character(80) prefix
! idolo
c     logical interactive
! orientation
c     character(4) orient
! Work space
      logical,dimension(:),allocatable :: ywk,ywk2
      integer,dimension(:),allocatable :: iwk,iwk2
! Storage
      double precision,dimension(:,:),allocatable :: flo,work2
      double precision,dimension(:),allocatable :: focc
      integer,dimension(:),allocatable :: fmult_a,fmult_o
      integer,dimension(:),allocatable :: fsym,fdat0,fdat1
      logical,dimension(:),allocatable :: fly
      character(18),dimension(:),allocatable :: flab
      integer,dimension(maxsymd) :: fnoc,fnac,fnal
c     dimension ninacs(maxsymd),noacts(maxsymd),nvirts(maxsymd)
      integer fnorb
      character(4),allocatable :: focvir(:)
      character(8),allocatable :: fsigpi(:)
! Atoms of a LO
      integer,parameter :: max_atoms_in_LO=150
      integer fnat_tmp
      integer,allocatable :: fnat(:)
      character(4) :: atoms_in_LO_tmp(max_atoms_in_LO)
      character(4),allocatable :: atoms_in_LO(:,:)
! Inclusion smuc
c        integer,save :: nl,ninac,noac
c        integer,save,allocatable,dimension(:) :: numina,numac
c        real(8),allocatable,dimension(:,:) :: coor
c        character(8) orbi!,base
c        dimension nbas(:),nbast(:),atom(:),orbi(:)!,base(:)
c        character(4) atom
c        allocatable nbas,nbast,atom,orbi!,base
c        save orbi,nbas,nbast,atom,natom!,base
c        integer nbast,nbas,natom,noacs(8)
c        integer,save,allocatable,dimension(:) :: itype
c        integer,save :: ntyp
c        double precision,save,allocatable,dimension(:) :: occ
c        character(3) sym1(7)
c        allocatable mult1(:)
c        integer,save :: msym,natom1
c        logical,save :: ysym=.false.,ycallsymetrie=.false.,
c    *   ydatoto=.false.
         
         logical ychol
      end module
